<?php
/*
Plugin Name: NBC ThemeChanger
Version: 2.1.0.a
Description: Permet d'associer  chaque catgorie virtuel ou physique un thme spcifique.
	ThemeChanger vous permet de spcifier pour chaque catgorie un thme diffrent.
	Pour les catgories non spcifies, le thme par dfaut s'applique.
	ThemeChanger allow you to associate for each category a specific theme. 
	For the unspecified categories, the theme by default is applied.
	ThemeChanger permette di precisare per ogni categoria un tema diverso. 
	Per le categorie non precisato, il tema da difetto  applicato.
Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=214
Author: Datajulien
Author URI: http://morgane.quoirez.com
*/

define('NBC_ThemeChanger_PATH' , PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/');


//if (!defined(NBC_ThemeChanger_PATH)) die('Hacking attempt - ThemeChanger main.inc.php - NBC_ThemeChanger_PATH!');

/* Set the administration panel of the plugin */


class ThemeChanger
// Sets the administration panel of the plugin
{
	function nbc_ThemeChanger_admin_menu($menu)
	{
	  array_push($menu,
		array(
		  'NAME' => 'ThemeChanger',
		  'URL'  => get_admin_plugin_menu_link(NBC_ThemeChanger_PATH.'admin/nbc_ThemeChanger_admin.php')
		)
	  );
	  return $menu;
	}
}

$obj = new ThemeChanger();

function change_category_theme()
{
  global $template, $page, $user, $conf;

  $conf_nbc_ThemeChanger = isset($conf['nbc_ThemeChanger']) ? explode(";" , $conf['nbc_ThemeChanger']) : array();
    
  $category_theme = array();
  
  foreach ($conf_nbc_ThemeChanger as $Theme_Cat)
  {
    $element_ThemeChanger = explode("," , $Theme_Cat);
    
    if ($element_ThemeChanger[0] <> '' and $element_ThemeChanger[1] <> '')
      $category_theme[$element_ThemeChanger[0]] = $element_ThemeChanger[1];
  }

  if (isset($page['category']['id']) and isset($category_theme[$page['category']['id']]))
  {
    $user['theme'] = $category_theme[$page['category']['id']];
	$template = new Template(PHPWG_ROOT_PATH.'themes', $user['theme'] );
  }
}

add_event_handler('get_admin_plugin_menu_links', array(&$obj, 'nbc_ThemeChanger_admin_menu') );
add_event_handler('loc_end_section_init', 'change_category_theme');
set_plugin_data($plugin['id'], $obj)

?>